<!--
@name: 操作日志表格
@author: 张泽贤
@time: 2022-08-29
@doc: 
-->
<template>
  <p-table
    ref="auditNodeTable"
    dragle
    bordered
    row-key="id"
    :scroll="{ x: true, y: 300 }"
    :columns="auditNode_columns"
    :data-source.sync="auditNode_dataSource"
    :remote-url="auditNode_listRemoteUrl"
    :remoteData="auditNode_listParams"
    :rowSelectType="false"
    :autoLoad="false"
    :pagination="false"
  >
  </p-table>
</template>

<script>
import { auditNode_listRemoteUrl } from '../js/api.js';
import { setOperationLogColumns } from '../js/tableConfig.js';

export default {
  props: {
    contractNo: {
      type: String,
      default: '',
    },
  },
  watch: {
    contractNo(val) {
      if (val) {
        this.auditNode_listParams = {
          contractNo: val,
        };
      } else {
        this.dataSource = [];
      }
    },
  },
  data() {
    return {
      auditNode_columns: setOperationLogColumns(this),
      auditNode_dataSource: [],
      auditNode_listRemoteUrl,
      auditNode_listParams: {},
    };
  },
};
</script>